#
# =======================================================================
# PACKAGE:	fstat -- Print File Status
# SH-PROC:	Demo Script #2 (print full information about inode)
# VERSION:	%R% (%E%)
# =======================================================================
# Copyright (1994): Martin Weitzel, Darmstadt, Germany
#
# This demo scripts lets you display interactively all of the information
# "fstat" can read from a files inode.  Wildcards are recognized, i.e.
# you can obtain information about all the files in the current working
# directory by typing "*"

NL='
'	# <-- we need a newline character below

while	
	# prompt for file name and get input
	echo "file name? \c" && read f
do
	# evaluate input
	set X $f; shift
	case $# in
	0)	exit;;
	1)	ffmt=;;
	*)	ffmt='%41F'$NL;;
	esac
	# send name(s) to fstat command
	echo $* |
	tr ' ' "$NL" |
	fstat +"$ffmt\
-----------------------------------------
links (dev/ino): %-12n (%d/%i)
perms:           %-12P (oct=%p)
size (magic #):  %-12s (0x%4h)
owner:           %-12U (UID=%u)
group:           %-12G (GID=%g)
last accessed:   %A (%a)
last modified:   %M (%m)
last i-change:   %C (%c)
-----------------------------------------
" -e
done
echo
