#
# =======================================================================
# PACKAGE:	fstat -- Print File Status
# SH-PROC:	Demo Script #3 (list linked files together)
# VERSION:	%R% (%E%)
# =======================================================================
# Copyright (1994): Martin Weitzel, Darmstadt, Germany
#
# This script utilizes the "fstat" command with its default format.
# Output is post-processed to find linked files, so you can easily
# find aliased names.  (If you run this over the whole file system,
# the result is sometimes surprising, in other cases enlightening.)
#
# Bugs: The algorithm will break if there are blanks or tabs embedded
#	within a file name.  (As the script is meant for demonstration
#	only, I did not care to fix this.)

find $* -print |		# traverse directory tree   
fstat |				# add dev/ino pair to file name
sort |				# sort dev/ino first, file second
awk '
{	if ($1 != last) {	# compare entry against previous
		last = $1;	# store dev/ino
		file = $2;	# and original name
		print file;	# print original name only
	}
	else
		print file, $2;	# print original and link name
}' |
sort |				# sort again
awk '
{
	if (NF == 1)		# compare if one or two names
		print $1;	# print single file name
	else
		print "\t" $2;	# print link name indented
}'
