.TH fstat 1  "Oct 30 1998"
.SH NAME
fstat \- shell \- File Status Information

.SH SYNOPSIS
.B fstat 
.RB [ -e[msg] ] 
.RB [ -c[nnn] ] 
.RB [ +format ]


.SH USAGE  
The "fstat"-command is much similar to the well-know "ls", but 
with two important differences:

     a) file names are not supplied as command line arguments
        but read from standard input;
     b) output format can be freely chosen, and there is some
        information that "ls" cannot produce;

.SH DESCRIPTION  
        This program reads file names from stdin and prints further
        information, mainly from the file's i-node.  Output format
        can be tailored by a format-string that follows a plus sign.
        The options are:
        -e[msg]  message to print for files that cannot be stat()-ed
                 (if 'msg' is missing, such files are ignored)
        -c[nnn]  number of bytes to include into the checksum
                 (see also %H-place-holder, if 'nnn' is missing or
                  zero, checksum is calculated for the complete file)
        Within the format string certain place-holders are recognized:
          %t  file type (in octal)
          %T  file type (coded as in 'ls -l')
          %V  file type (in words)
          %p  permissions (in octal);
          %P  permissions (in coded as in 'ls -l');
          %d  device number (in decimal);
          %i  inode number (in decimal);
          %n  number of links (in decimal);
          %u  file owner (decimal UID)
          %U  file owner (name)
          %g  file group (decimal GID)
          %G  file group (name)
          %s  file size in byte
          %a  access time (seconds since urknall)
          %A  access time (YYMMDDhhmmss)
          %c  creation time (seconds since urknall)
          %C  creation time (YYMMDDhhmmss)
          %m  modification time (seconds since urknall)
          %M  modification time (YYMMDDhhmmss)
          %h  file header (first two bytes in hex);
          %H  checksum of first portion of file;
          %f  last part of file name;
          %F  full file name (as read from input);
        An optional number between '%' and format specification is
        treated as field width.  Output is always right justified in
        a zone of the given width.  If a value does not fit into that
        zone, more room is provided automatically.  To print a %-sign,
        two such characters must be used in sequence.  Other characters
        in the format string are printed as they appear, except that
        some basic '\'-escape-sequences are recognized and interpreted
        as usual.  A '\c' in the format string will stop any further
        interpretation and will also suppress the new line character
        that otherwise terminates each line of output.
        
        NOTE that while in a user defined error message (see 'e'-option
        above) place holders are interpreted in the same way as in the
        format string, when this message is printed only '%f' and '%F'
        have meaningful values; in addition, '%e' may be used to print
        the current value of 'errno'.

.SH Copyright (1994)
Martin Weitzel, Darmstadt, Germany

.SH Man Page
Stephanie Nile, HPUX, Liverpool
